using UnityEngine;
using System;
using System.Collections.Generic;

public class PeopleMedium01 : RequestLetter
{
    protected override string GetTextBody()
    {
        return "We have been suffering bandit attacks for months. They have been stealing even our food lately! The local guard refuses to help us, saying their lord Tannis won't let them leave their post for any reason. If this goes on, we'll be broken and starving soon. We're helpless!";
    }

    protected override string GetSender()
    {
        return "The Redsoil Farmers";
    }

    protected override Attributes GetRelatedAttribute()
    {
        return Attributes.People;
    }

    protected override AttributeInfluenceLevel GetInfluenceLevelRequired()
    {
        return AttributeInfluenceLevel.Medium;
    }

    protected override List<Choice> GetChoices()
    {
        return new List<Choice>()
        {
            new Choice
            (
                "Send the royal guard to help", 
                new ResponseLetter
                (
                    "We're forever in your debt, Your Highness. The royal guard took care of those bandits.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Popularity, +0.1f }, { Indicators.Warpower, -0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.People, +0.2f} }
                )
            ),
            new Choice
            (
                "Intimidate the local lord to help them", 
                new ResponseLetter
                (
                    "Thanks for using your influence to help us, Thy Majestie. Lord Tannis seemed pretty furious with your demand, though.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Attributes,float>() { { Attributes.People, +0.2f}, { Attributes.Nobility, -0.2f} }
                )
            ),
            new Choice
            (
                "Ignore the request", 
                new ResponseLetter
                (
                    "We're now lost because of your disregard towards us! Damn you and your kingdom, we're now a free people and we'll do however we please!", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Popularity, -0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.People, -0.2f} }
                )
            )
        };
    }
}